## linux-lts-xenial 4.4.0-92.115~14.04.1+7.0trisquel1

=== Makefile ===
VERSION = 4
PATCHLEVEL = 4
SUBLEVEL = 76
EXTRAVERSION = -gnu
NAME = Blurry Fish Butt

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(words $(subst :, ,$(CURDIR))), 1)
  $(error main directory cannot contain spaces nor colons)
endif

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make: FORCE
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
PYTHON		= python
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im

# Prefer linux-backports-modules
ifneq ($(KBUILD_SRC),)
ifneq ($(shell if test -e $(KBUILD_OUTPUT)/ubuntu-build; then echo yes; fi),yes)
UBUNTUINCLUDE := -I/usr/src/linux-headers-lbm-$(KERNELRELEASE)
endif
endif

# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		$(UBUNTUINCLUDE) \
		-I$(srctree)/arch/$(hdr-arch)/include \

=== debian/control ===
Source: linux-lts-xenial
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.4.0
Build-Depends:
 debhelper (>= 5),
 dh-systemd,
 cpio,
 kernel-wedge,
 kmod,
 makedumpfile [amd64 i386],
 libelf-dev,
 libnewt-dev,
 libiberty-dev,
 rsync,
 libdw-dev,
 libpci-dev,
 pkg-config,
 flex,
 bison,
 libunwind8-dev [amd64 arm64 armhf i386 powerpc ppc64el],
 openssl,
 libssl-dev,
 libaudit-dev,
 bc,
 python-dev,
 gawk,
 device-tree-compiler [powerpc],
 u-boot-tools [powerpc],
 libc6-dev-ppc64 [powerpc],
 libudev-dev,
 autoconf,
 automake,
 libtool,
 uuid-dev,
Build-Depends-Indep:
 xmlto,
 docbook-utils,
 ghostscript,
 transfig,
 bzip2,
 sharutils,
 asciidoc,
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/trusty -b lts-backport-xenial
XS-Testsuite: autopkgtest
#XS-Testsuite-Depends: gcc-4.7 binutils

Package: linux-headers-4.4.0-92
Architecture: all
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils
Breaks: iscsitarget-dkms (<< 1.4.20.3+svn499-0ubuntu2.3)
Description: Header files related to Linux-libre kernel version 4.4.0
 This package provides kernel header files for version 4.4.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-lts-xenial-headers-4.4.0-92/debian.README.gz for details

Package: linux-lts-xenial-tools-4.4.0-92
Architecture: i386 amd64 armhf arm64 powerpc ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux-libre kernel version specific tools for version 4.4.0-92
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 4.4.0-92 on
 32 bit x86.
 You probably want to install linux-tools-4.4.0-92-<flavour>.

Package: linux-lts-xenial-cloud-tools-4.4.0-92
Architecture: i386 amd64 armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
Description: Linux-libre kernel version specific cloud tools for version 4.4.0-92
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud tools for version 4.4.0-92 on
 32 bit x86.
 You probably want to install linux-cloud-tools-4.4.0-92-<flavour>.


Package: linux-image-4.4.0-92-generic
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [i386 amd64 x32]${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools | linux-initramfs-tool, kmod
Recommends: grub-pc [i386 amd64 x32] | grub-efi-amd64 [amd64 x32] | grub-efi-ia32 [i386 amd64 x32] | grub [i386 amd64 x32] | lilo [i386 amd64 x32] | flash-kernel [armhf arm64] | grub-ieee1275 [ppc64el]
Suggests: fdutils, linux-lts-xenial-tools, linux-headers-4.4.0-92-generic
Description: Linux-libre kernel image for version 4.4.0 
 This package contains the Linux-libre kernel image for version 4.4.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-4.4.0-92-generic
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-4.4.0-92-generic, crda | wireless-crda
Description: Linux-libre kernel extra modules for version 4.4.0 
 This package contains the Linux-libre kernel extra modules for version 4.4.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-4.4.0-92-generic
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-4.4.0-92, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux-libre kernel headers for version 4.4.0 
 This package provides kernel header files for version 4.4.0
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-4.4.0-92/debian.README.gz for details.

Package: linux-image-4.4.0-92-generic-dbgsym
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux-libre kernel debug image for version 4.4.0 
 This package provides a kernel debug image for version 4.4.0
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-tools-4.4.0-92-generic
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-lts-xenial-tools-4.4.0-92
Description: Linux-libre kernel version specific tools for version 4.4.0-92
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 4.4.0-92 on
 32 bit x86.

Package: linux-cloud-tools-4.4.0-92-generic
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-lts-xenial-cloud-tools-4.4.0-92
Description: Linux-libre kernel version specific cloud tools for version 4.4.0-92
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 4.4.0-92 on
 32 bit x86.

Package: linux-lts-xenial-udebs-generic
XC-Package-Type: udeb
Section: debian-installer
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Depends: ${udeb:Depends}
Description: Metapackage depending on kernel udebs
 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.


Package: linux-image-4.4.0-92-generic-lpae
Architecture: armhf
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools | linux-initramfs-tool, kmod
Recommends: flash-kernel [armhf]
Suggests: fdutils, linux-lts-xenial-tools, linux-headers-4.4.0-92-generic-lpae
Description: Linux-libre kernel image for version 4.4.0 
 This package contains the Linux-libre kernel image for version 4.4.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic LPAE processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic-lpae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-4.4.0-92-generic-lpae
Architecture: armhf
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-4.4.0-92-generic-lpae, crda | wireless-crda
Description: Linux-libre kernel extra modules for version 4.4.0 
 This package contains the Linux-libre kernel extra modules for version 4.4.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic LPAE processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic-lpae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-4.4.0-92-generic-lpae
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-4.4.0-92, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux-libre kernel headers for version 4.4.0 
 This package provides kernel header files for version 4.4.0
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-4.4.0-92/debian.README.gz for details.

Package: linux-image-4.4.0-92-generic-lpae-dbgsym
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux-libre kernel debug image for version 4.4.0 
 This package provides a kernel debug image for version 4.4.0
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-tools-4.4.0-92-generic-lpae
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-lts-xenial-tools-4.4.0-92
Description: Linux-libre kernel version specific tools for version 4.4.0-92
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 4.4.0-92 on
 32 bit x86.

Package: linux-cloud-tools-4.4.0-92-generic-lpae
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-lts-xenial-cloud-tools-4.4.0-92
Description: Linux-libre kernel version specific cloud tools for version 4.4.0-92
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 4.4.0-92 on
 32 bit x86.

Package: linux-lts-xenial-udebs-generic-lpae
XC-Package-Type: udeb
Section: debian-installer
Architecture: armhf
Depends: ${udeb:Depends}
Description: Metapackage depending on kernel udebs
 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.


Package: linux-image-4.4.0-92-lowlatency
Architecture: i386 amd64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [i386 amd64 x32]${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools | linux-initramfs-tool, kmod
Recommends: grub-pc [i386 amd64 x32] | grub-efi-amd64 [amd64 x32] | grub-efi-ia32 [i386 amd64 x32] | grub [i386 amd64 x32] | lilo [i386 amd64 x32] | flash-kernel [armhf arm64]
Suggests: fdutils, linux-lts-xenial-tools, linux-headers-4.4.0-92-lowlatency
Description: Linux-libre kernel image for version 4.4.0 
 This package contains the Linux-libre kernel image for version 4.4.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Lowlatency processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lowlatency meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-4.4.0-92-lowlatency
Architecture: i386 amd64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-4.4.0-92-lowlatency, crda | wireless-crda

=== debian/rules ===
#!/usr/bin/make -f
#
# $(DEBIAN)/rules for Ubuntu linux
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#

DEBIAN=$(shell awk -F= '($$1 == "DEBIAN") { print $$2 }' <debian/debian.env)

# dpkg-buildpackage passes options that are incomptatible
# with the kernel build.
unexport CFLAGS
unexport LDFLAGS

export LC_ALL=C
export SHELL=/bin/bash -e

# Where do we find the common configuration.
export DROOT=debian

# Common variables for all architectures
include $(DROOT)/rules.d/0-common-vars.mk

# Pull in some arch specific stuff
-include $(DEBIAN)/rules.d/$(arch).mk

# Pull in some branch specific stuff. Used by LTS backport
# branches to override master branch settings such as do_tools_common.
-include $(DEBIAN)/rules.d/hooks.mk

# Maintainer targets
include $(DROOT)/rules.d/1-maintainer.mk

do_linux_tools=$(sort $(filter-out false,$(do_tools_usbip) $(do_tools_cpupower) $(do_tools_perf) $(do_tools_x86)))
do_cloud_tools=$(sort $(filter-out false,$(do_tools_hyperv)))

# Don't build tools or udebs in a cross compile environment.
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	do_tools=false
	disable_d_i=true
endif

# Stages -- support both DEB_STAGE=stage1 and DEB_BUILD_PROFILE=bootstrap
ifeq ($(DEB_STAGE),stage1)
    DEB_BUILD_PROFILES=stage1
endif
ifneq ($(DEB_BUILD_PROFILE),)
    DEB_BUILD_PROFILES=$(DEB_BUILD_PROFILE)
endif
ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
    do_tools=false
    do_doc_package=false
    do_source_package=false
    do_flavour_image_package=false
    do_flavour_header_package=false
endif

# Being used to build a mainline build -- turn off things which do not work.
ifeq ($(do_mainline_build),true)
	do_extras_package=false
	do_tools=false
	no_dumpfile=1
endif

# Disable tools build and packaging if do_tools != true
ifneq ($(do_tools),true)
	do_linux_tools=
	do_cloud_tools=
	do_tools_common=
endif

# Either tools package needs the common source preparation
do_any_tools=$(sort $(filter-out false,$(do_linux_tools) $(do_cloud_tools)))

# autopkgtest -- rebuild support
#  only build the first flavour on the assumption it is representative
ifeq ($(DEB_BUILD_PROFILE),autopkgtest)
flavours := $(firstword $(flavours))
endif

# Debian Build System targets
binary: binary-indep binary-arch

build: build-arch build-indep

clean: debian/control
	dh_testdir
	dh_testroot
	dh_clean

	# d-i stuff
	rm -rf $(DEBIAN)/d-i-$(arch)
	# Generated on the fly.
	rm -f $(DEBIAN)/d-i/firmware/kernel-image

	# normal build junk
	rm -rf $(DEBIAN)/abi/$(release)-$(revision)
	rm -rf $(builddir)
	rm -f $(stampdir)/stamp-*
	rm -rf $(DEBIAN)/linux-*

	# This gets rid of the d-i packages in control
	cp -f $(DEBIAN)/control.stub $(DROOT)/control
	cp $(DEBIAN)/changelog debian/changelog

	# Install the copyright information.
	cp $(DEBIAN)/copyright debian/copyright

	# If we have a reconstruct script use it.
	[ -f $(DEBIAN)/reconstruct ] && bash $(DEBIAN)/reconstruct

	# Remove generated intermediate files
	rm -f $(DROOT)/control.stub $(DEBIAN)/control.stub \
		$(DEBIAN)/d-i/kernel-versions

distclean: clean
	rm -rf $(DROOT)/control debian/changelog \
		debian/control debian/control.stub debian/copyright

# Builds the image, arch headers and debug packages
include $(DROOT)/rules.d/2-binary-arch.mk

# Rules for building the udebs ($(DEBIAN)-installer)
include $(DROOT)/rules.d/5-udebs.mk

# Builds the source, doc and linux-headers indep packages
include $(DROOT)/rules.d/3-binary-indep.mk

# Various checks to be performed on builds
include $(DROOT)/rules.d/4-checks.mk

# Misc stuff
.PHONY: $(DEBIAN)/control.stub
$(DEBIAN)/control.stub: $(DEBIAN)/d-i/kernel-versions.in	\
		$(DROOT)/scripts/control-create		\
		$(DEBIAN)/control.stub.in			\
		$(DEBIAN)/changelog			\
		$(wildcard $(DEBIAN)/control.d/* $(DEBIAN)/sub-flavours/*.vars)
	for i in $(DEBIAN)/d-i/kernel-versions.in $(DEBIAN)/control.stub.in; do	\
	  new=`echo $$i | sed 's/\.in$$//'`;					\
	  cat $$i | sed -e 's/PKGVER/$(release)/g'                              \
	        -e 's/ABINUM/$(abinum)/g'                                       \
		-e 's/SRCPKGNAME/$(src_pkg_name)/g'                             \
		-e 's/=HUMAN=/$(human_arch)/g'                                    \
	  > $$new;								\
	done
	flavours="$(sort $(wildcard $(DEBIAN)/control.d/vars.* $(DEBIAN)/sub-flavours/*.vars))";\
	for i in $$flavours; do							\
	  $(SHELL) $(DROOT)/scripts/control-create $$i |				\
		sed -e 's/PKGVER/$(release)/g'                                  \
		-e 's/ABINUM/$(abinum)/g'                                       \
		-e 's/SRCPKGNAME/$(src_pkg_name)/g'                             \
		-e 's/=HUMAN=/$(human_arch)/g'                                    \
		>> $(DEBIAN)/control.stub;						\
	done

.PHONY: debian/control
debian/control: $(DEBIAN)/control.stub
	rm -rf $(builddir)/modules $(builddir)/firmware			\
		$(builddir)/kernel-versions $(builddir)/package-list	\
		$(builddir)/$(DEBIAN)
	mkdir -p $(builddir)/modules/$(arch)/
	cp $(DEBIAN)/d-i/modules/* $(builddir)/modules/$(arch)/
	mkdir -p $(builddir)/firmware/$(arch)/
	cp $(DEBIAN)/d-i/firmware/* $(builddir)/firmware/$(arch)/
	cp $(DEBIAN)/d-i/package-list $(DEBIAN)/d-i/kernel-versions $(builddir)/
	touch $(builddir)/modules/$(arch)/kernel-image
	# kernel-wedge needs to poke around in $(DEBIAN)/
	ln -nsf $(CURDIR)/debian $(builddir)/debian

	# Some files may need to differ between architectures
	if [ -d $(DEBIAN)/d-i/modules-$(arch) ]; then			\
	    cp $(DEBIAN)/d-i/modules-$(arch)/* \
		$(builddir)/modules/$(arch)/;				\
	fi
	if [ -d $(DEBIAN)/d-i/firmware-$(arch) ]; then			\
	    cp $(DEBIAN)/d-i/firmware-$(arch)/* \
		$(builddir)/firmware/$(arch)/;				\
	fi

	# Remove unwanted stuff for this architecture
	if [ -r "$(DEBIAN)/d-i/exclude-modules.$(arch)" ]; then		\
	    (cat $(DEBIAN)/d-i/exclude-modules.$(arch);			\
	     ls $(builddir)/modules/$(arch)/) | sort | uniq -d |	\
		(cd $(builddir)/modules/$(arch)/; xargs rm -f);		\
	fi
	if [ -r "$(DEBIAN)/d-i/exclude-firmware.$(arch)" ]; then		\
	    (cat $(DEBIAN)/d-i/exclude-firmware.$(arch);			\
	     ls $(builddir)/firmware/$(arch)/) | sort | uniq -d |	\
		(cd $(builddir)/firmware/$(arch)/; xargs rm -f);	\
	fi

	# Per flavour module lists
	flavour_modules=`ls $(DEBIAN)/d-i/modules.$(arch)-* 2>/dev/null`	\
		|| true;						\
	if [ "$$flavour_modules" != "" ]; then				\
	    for flav in $$flavour_modules; do				\
		name=`echo $$flav | sed 's/.*\/modules.$(arch)-//'`;	\
		mkdir $(builddir)/modules/$(arch)-$$name;		\
		(cd $(builddir)/modules/; tar cf - `cat ../$$flav`) |	\
		    (cd $(builddir)/modules/$(arch)-$$name/; tar xf -);	\
		touch $(builddir)/modules/$(arch)-$$name/kernel-image;	\
	    done;							\
	fi
	flavour_firmware=`ls $(DEBIAN)/d-i/firmware.$(arch)-* 2>/dev/null`	\
		|| true;						\
	if [ "$$flavour_firmware" != "" ]; then				\
	    for flav in $$flavour_firmware; do				\
		name=`echo $$flav | sed 's/.*\/firmware.$(arch)-//'`;	\
		mkdir $(builddir)/firmware/$(arch)-$$name;		\
		(cd $(builddir)/firmware/; tar cf - `cat ../$$flav`) |	\
		    (cd $(builddir)/firmware/$(arch)-$$name/; tar xf -);\
		touch $(builddir)/firmware/$(arch)-$$name/kernel-image;	\
	    done;							\
	fi

	# Some files may need to differ between flavours
	flavour_module_dirs=`ls -d $(DEBIAN)/d-i/modules-$(arch)-* 2>/dev/null`\
		|| true;						\
	if [ "$$flavour_module_dirs" ]; then				\
	    for flav in $$flavour_module_dirs; do			\
		name=`echo $$flav | sed 's/.*\/modules-$(arch)-//'`;	\
		[ -d $(builddir)/modules/$(arch)-$$name ] ||		\
		    cp -a $(builddir)/modules/$(arch)			\
			modules/$(arch)-$$name;				\
		cp $$flav/* $(builddir)/modules/$(arch)-$$name/;	\
	    done;							\
	fi
	flavour_firmware_dirs=`ls -d $(DEBIAN)/d-i/firmware-$(arch)-* 2>/dev/null`\
		|| true;						\
	if [ "$$flavour_firmware_dirs" ]; then				\
	    for flav in $$flavour_firmware_dirs; do			\
		name=`echo $$flav | sed 's/.*\/firmware-$(arch)-//'`;	\

## linux-lts-xenial 4.4.0-135.161~14.04.1+7.0trisquel2

=== debian/control ===
Source: linux-lts-xenial
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.4.0
Build-Depends:
 debhelper (>= 5),
 dh-systemd,
 cpio,
 kernel-wedge,
 kmod,
 makedumpfile [amd64 i386],
 libelf-dev,
 libnewt-dev,
 libiberty-dev,
 rsync,
 libdw-dev,
 libpci-dev,
 pkg-config,
 flex,
 bison,
 libunwind8-dev [amd64 arm64 armhf i386 powerpc ppc64el],
 openssl,
 libssl-dev,
 libaudit-dev,
 bc,
 python-dev,
 gawk,
 device-tree-compiler [powerpc],
 u-boot-tools [powerpc],
 libc6-dev-ppc64 [powerpc],
 libudev-dev,
 autoconf,
 automake,
 libtool,
 uuid-dev,
Build-Depends-Indep:
 xmlto,
 docbook-utils,
 ghostscript,
 transfig,
 bzip2,
 sharutils,
 asciidoc,
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/trusty -b lts-backport-xenial
XS-Testsuite: autopkgtest
#XS-Testsuite-Depends: gcc-4.7 binutils

Package: linux-headers-4.4.0-135
Architecture: all
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils
Breaks: iscsitarget-dkms (<< 1.4.20.3+svn499-0ubuntu2.3)
Description: Header files related to Linux-libre kernel version 4.4.0
 This package provides kernel header files for version 4.4.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-lts-xenial-headers-4.4.0-135/debian.README.gz for details

Package: linux-lts-xenial-tools-4.4.0-135
Architecture: i386 amd64 armhf arm64 powerpc ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux-libre kernel version specific tools for version 4.4.0-135
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 4.4.0-135 on
 32 bit x86.
 You probably want to install linux-tools-4.4.0-135-<flavour>.

Package: linux-lts-xenial-cloud-tools-4.4.0-135
Architecture: i386 amd64 armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
Description: Linux-libre kernel version specific cloud tools for version 4.4.0-135
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud tools for version 4.4.0-135 on
 32 bit x86.
 You probably want to install linux-cloud-tools-4.4.0-135-<flavour>.


Package: linux-image-4.4.0-135-generic
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [i386 amd64 x32]${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools | linux-initramfs-tool, kmod
Recommends: grub-pc [i386 amd64 x32] | grub-efi-amd64 [amd64 x32] | grub-efi-ia32 [i386 amd64 x32] | grub [i386 amd64 x32] | lilo [i386 amd64 x32] | flash-kernel [armhf arm64] | grub-ieee1275 [ppc64el]
Suggests: fdutils, linux-lts-xenial-tools, linux-headers-4.4.0-135-generic
Description: Linux-libre kernel image for version 4.4.0 
 This package contains the Linux-libre kernel image for version 4.4.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-4.4.0-135-generic
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-4.4.0-135-generic, crda | wireless-crda
Description: Linux-libre kernel extra modules for version 4.4.0 
 This package contains the Linux-libre kernel extra modules for version 4.4.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-4.4.0-135-generic
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-4.4.0-135, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux-libre kernel headers for version 4.4.0 
 This package provides kernel header files for version 4.4.0
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-4.4.0-135/debian.README.gz for details.

Package: linux-image-4.4.0-135-generic-dbgsym
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux-libre kernel debug image for version 4.4.0 
 This package provides a kernel debug image for version 4.4.0
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-tools-4.4.0-135-generic
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-lts-xenial-tools-4.4.0-135
Description: Linux-libre kernel version specific tools for version 4.4.0-135
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 4.4.0-135 on
 32 bit x86.

Package: linux-cloud-tools-4.4.0-135-generic
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-lts-xenial-cloud-tools-4.4.0-135
Description: Linux-libre kernel version specific cloud tools for version 4.4.0-135
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 4.4.0-135 on
 32 bit x86.

Package: linux-lts-xenial-udebs-generic
XC-Package-Type: udeb
Section: debian-installer
Architecture: i386 amd64 armhf arm64 ppc64el s390x
Depends: ${udeb:Depends}
Description: Metapackage depending on kernel udebs
 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.


Package: linux-image-4.4.0-135-generic-lpae
Architecture: armhf
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools | linux-initramfs-tool, kmod
Recommends: flash-kernel [armhf]
Suggests: fdutils, linux-lts-xenial-tools, linux-headers-4.4.0-135-generic-lpae
Description: Linux-libre kernel image for version 4.4.0 
 This package contains the Linux-libre kernel image for version 4.4.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic LPAE processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic-lpae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-4.4.0-135-generic-lpae
Architecture: armhf
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-4.4.0-135-generic-lpae, crda | wireless-crda
Description: Linux-libre kernel extra modules for version 4.4.0 
 This package contains the Linux-libre kernel extra modules for version 4.4.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic LPAE processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic-lpae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-4.4.0-135-generic-lpae
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-headers-4.4.0-135, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux-libre kernel headers for version 4.4.0 
 This package provides kernel header files for version 4.4.0
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-4.4.0-135/debian.README.gz for details.

Package: linux-image-4.4.0-135-generic-lpae-dbgsym
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux-libre kernel debug image for version 4.4.0 
 This package provides a kernel debug image for version 4.4.0
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-tools-4.4.0-135-generic-lpae
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-lts-xenial-tools-4.4.0-135
Description: Linux-libre kernel version specific tools for version 4.4.0-135
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 4.4.0-135 on
 32 bit x86.

Package: linux-cloud-tools-4.4.0-135-generic-lpae
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-lts-xenial-cloud-tools-4.4.0-135
Description: Linux-libre kernel version specific cloud tools for version 4.4.0-135
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 4.4.0-135 on
 32 bit x86.

Package: linux-lts-xenial-udebs-generic-lpae
XC-Package-Type: udeb
Section: debian-installer
Architecture: armhf
Depends: ${udeb:Depends}
Description: Metapackage depending on kernel udebs
 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.


Package: linux-image-4.4.0-135-lowlatency
Architecture: i386 amd64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [i386 amd64 x32]${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools | linux-initramfs-tool, kmod
Recommends: grub-pc [i386 amd64 x32] | grub-efi-amd64 [amd64 x32] | grub-efi-ia32 [i386 amd64 x32] | grub [i386 amd64 x32] | lilo [i386 amd64 x32] | flash-kernel [armhf arm64]
Suggests: fdutils, linux-lts-xenial-tools, linux-headers-4.4.0-135-lowlatency
Description: Linux-libre kernel image for version 4.4.0 
 This package contains the Linux-libre kernel image for version 4.4.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Lowlatency processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lowlatency meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-4.4.0-135-lowlatency
Architecture: i386 amd64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-4.4.0-135-lowlatency, crda | wireless-crda
